<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="broker"
            type="com.sev.brokerranking.model.Broker" />
    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="@dimen/broker_item_height"
        android:layout_marginStart="@dimen/padding"
        android:layout_marginTop="@dimen/padding"
        android:layout_marginEnd="@dimen/padding"
        android:backgroundTint="@color/colorPrimary"
        app:cardCornerRadius="@dimen/padding_double"
        app:cardElevation="@dimen/padding_double">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="240dp"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:padding="@dimen/padding_double">

                <TextView
                    android:id="@+id/brokerName"
                    style="@style/TextAppearanceTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:text="@{broker.value[0].brokerName}"
                    android:textColor="@color/white"
                    android:textStyle="bold"
                    tools:text="NameBroker" />

            </LinearLayout>

            <Space
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="@dimen/padding_double"
                android:background="@drawable/oval_background"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingStart="@dimen/padding"
                android:paddingTop="4dp"
                android:paddingEnd="@dimen/padding"
                android:paddingBottom="4dp">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:background="@drawable/ic_home_24dp"
                    android:scaleType="centerInside" />

                <TextView
                    style="@style/TextAppearanceTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingEnd="2dp"
                    android:gravity="center"
                    android:text="@{String.valueOf(broker.value.size())}"
                    android:textColor="@color/white"
                    android:textStyle="bold"
                    tools:text="14" />
            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
</layout>